Announcement

Collapse
No announcement yet.

Error on Upgrade to 5.1.6

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Trevor Hannant
    replied
    Yes, the same instructions should work although double check the MySQL manual to ensure as that thread is significantly older!!

    As for why, when vBulletin creates a new table in the upgrade process, it asks MySQL what the default collation for the database is and then uses that. Most MySQL installations default to latin1_swedish_ci. If you have changed collations for any reason on tables in the past then you should change the database to use that as the default to prevent this issue from happening in the future.

    Leave a comment:


  • Griphus
    replied
    I might have answered my own question... please confirm?

    http://www.vbulletin.com/forum/forum...-of-collations

    Unlike that dude, I think I understand what I need to do.

    I am a little curious how or why this would have happened. I've been using this database for vbulletin for... like a decade.

    Leave a comment:


  • Griphus
    started a topic Error on Upgrade to 5.1.6

    Error on Upgrade to 5.1.6

    Hello,

    I'm upgrading my board and received this error:

    <?xml version="1.0" encoding="windows-1252"?> <upgrade> </upgrade> <fatal_error> <description><![CDATA[Illegal mix of collations (latin1_general_ci,IMPLICIT) and (latin1_swedish_ci,IMPLICIT) for operation '=' occurred in /home/griphuss/public_html/core/vb/db/query/stored.php in line 123]]></description> </fatal_error>


    Help?

    Let me know if there is other information required.

    Thank you!
    Timothy

Related Topics

Collapse

Working...
X